Subject: Re: [PATCH] remote: detect collisions in remote names

From: Junio C Hamano <[email-masked]>
Date: Mon, 07 Jul 2025 06:59:00 -0700

Jeff King <[email-masked]> writes:

> On Sat, Jul 05, 2025 at 12:57:50PM -0400, Jeff King wrote:
>
>> So I dunno. It feels like a configuration error in most cases, but not
>> all. I'd probably say that people touching the config manually should be
>> allowed to do what they want, but maybe "git remote" should be a bit
>> more careful about names being proper subsets of existing remotes (it
>> should already prevent the exact-match above, I'd think, because the ref
>> namespace it uses will always match the configuration name).
>
> So I'm not entirely convinced we should do anything here. The answer
> might just be "if it hurts, don't do it". But if we wanted any
> protections in the "git remote" porcelain, they might look like this:

I have firmly been in the "if it hurts..." camp.  People can do
weird things that may not make much sense to me, but do make sense
in their workflow that may be vastly different from mine.

But I do not think of any downsides from forbidding outer and
outer/inner existing at the same time, either ;-).

Thanks.